/* PonG: Translation routines
 * Author: George Lebl
 * (c) 2000 Eazel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef PONGTRANS_H
#define PONGTRANS_H

#ifdef __cplusplus
extern "C" {
#endif

/* A private opaque structure */
typedef struct _PongTranslation PongTranslation;


char *		pong_make_translation_file	(const char *pong_filename,
						 const char *locale);

PongTranslation *pong_translation_make		(const char *pong_filename);

PongTranslation *pong_translation_from_file	(const char *file);
PongTranslation *pong_translation_from_memory	(const char *buffer,
						 int size);

const char *	pong_translation_translate	(PongTranslation *trans,
						 const char *string);

PongTranslation *pong_translation_ref		(PongTranslation *trans);
void		pong_translation_unref		(PongTranslation *trans);

#ifdef __cplusplus
}
#endif

#endif /* PONGUTIL_H */
